<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/
	$success=true;

	$folders=glob(LAB_PATH_KERNEL.'/'.'languages/*', GLOB_ONLYDIR);
	if ($folders) foreach ($folders as $folder)
	{
		$files=glob($folder.'/lang.*.php');
		if ($files) foreach ($files as $file)
		{
			$data=file_get_contents($file);
			$data=str_replace('this->translate', 'lang', $data);
			file_put_contents($file, $data);
		}
	}
